| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Element-wise absolute difference
Core functionality » Hardware Acceleration Layer » Interface

## Detailed Description

Absolute difference: dst[i] = | src1[i] - src2[i] |

Parameters

  src1_data | first source image data
  src1_step | first source image step
  src2_data | second source image data
  src2_step | second source image step
  dst_data | destination image data
  dst_step | destination image step
  width | width of the images
  height | height of the images

## Functions
int | hal_ni_absdiff16bf (const cv_hal_bf16 *src1_data, size_t src1_step, const cv_hal_bf16 *src2_data, size_t src2_step, cv_hal_bf16 *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff16f (const cv_hal_f16 *src1_data, size_t src1_step, const cv_hal_f16 *src2_data, size_t src2_step, cv_hal_f16 *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff16s (const short *src1_data, size_t src1_step, const short *src2_data, size_t src2_step, short *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff16u (const ushort *src1_data, size_t src1_step, const ushort *src2_data, size_t src2_step, ushort *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff32f (const float *src1_data, size_t src1_step, const float *src2_data, size_t src2_step, float *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff32s (const int *src1_data, size_t src1_step, const int *src2_data, size_t src2_step, int *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff32u (const unsigned *src1_data, size_t src1_step, const unsigned *src2_data, size_t src2_step, unsigned *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff64f (const double *src1_data, size_t src1_step, const double *src2_data, size_t src2_step, double *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff64s (const int64 *src1_data, size_t src1_step, const int64 *src2_data, size_t src2_step, int64 *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff64u (const uint64 *src1_data, size_t src1_step, const uint64 *src2_data, size_t src2_step, uint64 *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff8s (const schar *src1_data, size_t src1_step, const schar *src2_data, size_t src2_step, schar *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absdiff8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height)
int | hal_ni_absDiffScalar32f32f (const float *src_data, size_t src_step, float *dst_data, size_t dst_step, int width, int height, const float *scalar_data, int nChannels)
int | hal_ni_absDiffScalar32s32u (const int *src_data, size_t src_step, uint32_t *dst_data, size_t dst_step, int width, int height, const int *scalar_data, int nChannels)
int | hal_ni_absDiffScalar8u8u (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, const uchar *scalar_data, int nChannels)

## Function Documentation

## ◆ hal_ni_absdiff16bf()

int hal_ni_absdiff16bf | ( | const cv_hal_bf16 * | src1_data,
|  | size_t | src1_step,
|  | const cv_hal_bf16 * | src2_data,
|  | size_t | src2_step,
|  | cv_hal_bf16 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff16f()

int hal_ni_absdiff16f | ( | const cv_hal_f16 * | src1_data,
|  | size_t | src1_step,
|  | const cv_hal_f16 * | src2_data,
|  | size_t | src2_step,
|  | cv_hal_f16 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff16s()

int hal_ni_absdiff16s | ( | const short * | src1_data,
|  | size_t | src1_step,
|  | const short * | src2_data,
|  | size_t | src2_step,
|  | short * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff16u()

int hal_ni_absdiff16u | ( | const ushort * | src1_data,
|  | size_t | src1_step,
|  | const ushort * | src2_data,
|  | size_t | src2_step,
|  | ushort * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff32f()

int hal_ni_absdiff32f | ( | const float * | src1_data,
|  | size_t | src1_step,
|  | const float * | src2_data,
|  | size_t | src2_step,
|  | float * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff32s()

int hal_ni_absdiff32s | ( | const int * | src1_data,
|  | size_t | src1_step,
|  | const int * | src2_data,
|  | size_t | src2_step,
|  | int * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff32u()

int hal_ni_absdiff32u | ( | const unsigned * | src1_data,
|  | size_t | src1_step,
|  | const unsigned * | src2_data,
|  | size_t | src2_step,
|  | unsigned * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff64f()

int hal_ni_absdiff64f | ( | const double * | src1_data,
|  | size_t | src1_step,
|  | const double * | src2_data,
|  | size_t | src2_step,
|  | double * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff64s()

int hal_ni_absdiff64s | ( | const int64 * | src1_data,
|  | size_t | src1_step,
|  | const int64 * | src2_data,
|  | size_t | src2_step,
|  | int64 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff64u()

int hal_ni_absdiff64u | ( | const uint64 * | src1_data,
|  | size_t | src1_step,
|  | const uint64 * | src2_data,
|  | size_t | src2_step,
|  | uint64 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff8s()

int hal_ni_absdiff8s | ( | const schar * | src1_data,
|  | size_t | src1_step,
|  | const schar * | src2_data,
|  | size_t | src2_step,
|  | schar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absdiff8u()

int hal_ni_absdiff8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absDiffScalar32f32f()

int hal_ni_absDiffScalar32f32f | ( | const float * | src_data,
|  | size_t | src_step,
|  | float * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const float * | scalar_data,
|  | int | nChannels )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absDiffScalar32s32u()

int hal_ni_absDiffScalar32s32u | ( | const int * | src_data,
|  | size_t | src_step,
|  | uint32_t * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const int * | scalar_data,
|  | int | nChannels )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_absDiffScalar8u8u()

int hal_ni_absDiffScalar8u8u | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const uchar * | scalar_data,
|  | int | nChannels )
| inline

`#include <core/src/hal_replacement.hpp>`